"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getStatistics = void 0;

var getStatistics = function getStatistics(view) {
  return {
    lineCount: view.state.doc.lines,
    length: view.state.doc.length,
    lineBreak: view.state.lineBreak,
    readOnly: view.state.readOnly,
    tabSize: view.state.tabSize,
    selection: view.state.selection,
    selectionAsSingle: view.state.selection.asSingle().main,
    ranges: view.state.selection.ranges,
    selectionCode: view.state.sliceDoc(view.state.selection.main.from, view.state.selection.main.to),
    selections: view.state.selection.ranges.map(function (r) {
      return view.state.sliceDoc(r.from, r.to);
    }),
    selectedText: view.state.selection.ranges.some(function (r) {
      return !r.empty;
    })
  };
};

exports.getStatistics = getStatistics;
//# sourceMappingURL=utils.js.map